BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#


Name:           burlap
Version:        3.0.8
Release:        alt1_3jpp1.7
Epoch:          0
Summary:        Burlap web service protocol

Group:          Development/Java
License:        Apache Software License
URL:            http://www.caucho.com/%{name}
Source0:        http://distro.ibiblio.org/pub/linux/distributions/gentoo/distfiles/%{name}-%{version}.tar.bz2
BuildArch:      noarch
Obsoletes:      %{name}3
Provides:       %{name}3

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: caucho-services
BuildRequires: hessian
BuildRequires: servletapi5
Requires: caucho-services
Requires: hessian
Requires: servletapi5

%description
The Burlap web service protocol makes web services 
usable without requiring a large framework, and without 
learning yet another alphabet soup of protocols. 
Creating a client is as simple as creating an API interface.
Creating a service is as simple as adding a method to a servlet.


%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}

%prep
%setup -q -n %{name}-%{version}

%build
export CLASSPATH="$(build-classpath caucho-services hessian servletapi5)"
ant -Dbuild.sysclasspath="only" jar javadoc

%install
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadir}
%{__install} -p -m 0644 dist/%{name}.jar \
    ${RPM_BUILD_ROOT}%{_javadir}/%{name}-%{version}.jar
%{__ln_s} %{name}-%{version}.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}.jar
# javadoc
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr dist/doc/api/* ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} \
    ${RPM_BUILD_ROOT}%{_javadocdir}/%{name} # ghost symlink

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Mon Oct 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:3.0.8-alt1_3jpp1.7
- converted from JPackage by jppimport script

